/services/domains/v1/templates/update
Auth
| Field | Type | Required | Description | Example |
|---|---|---|---|---|
template_id |
integer | Yes | 3 |
|
name |
string
max: 255 |
Yes | Google Workspace Mail |
|
description |
string|null | No | MX + SPF records for Google Workspace |
|
is_default |
boolean|null | No | false |
|
last_updated_at |
integer|null | No | 1711929600 |
|
dns_records |
object[] | Yes | Array of DNS record definitions included in this template |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string | |
data |
string |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string | |
data |
mixed[] |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string | |
data |
mixed[] |
| Field | Type | Description |
|---|---|---|
message |
string | Errors overview. |
errors |
object | A detailed description of each field that failed validation. |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
Retry-After |
integer | Seconds until the rate limit resets | 60 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
curl -X POST "https://api.wemasy.nl/api/services/domains/v1/templates/update" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"template_id": 3,
"name": "Google Workspace Mail",
"description": "MX + SPF records for Google Workspace",
"is_default": false,
"last_updated_at": 1711929600,
"dns_records": []
}'
fetch('https://api.wemasy.nl/api/services/domains/v1/templates/update', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"template_id": 3,
"name": "Google Workspace Mail",
"description": "MX + SPF records for Google Workspace",
"is_default": false,
"last_updated_at": 1711929600,
"dns_records": []
})})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
->accept('application/json')
->post('https://api.wemasy.nl/api/services/domains/v1/templates/update', {
"template_id": 3,
"name": "Google Workspace Mail",
"description": "MX + SPF records for Google Workspace",
"is_default": false,
"last_updated_at": 1711929600,
"dns_records": []
});
$data = $response->json();
import requests
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
data = {
"template_id": 3,
"name": "Google Workspace Mail",
"description": "MX + SPF records for Google Workspace",
"is_default": false,
"last_updated_at": 1711929600,
"dns_records": []
}
r = requests.post("https://api.wemasy.nl/api/services/domains/v1/templates/update", headers=headers, json=data)
print(r.json())
{
"error": false,
"message": "string",
"data": "string"
}